//
//  TimerView.swift
//  Timer
//
//  Designed by Lech Szymanski in 2014.
//  Swift implementation by David Eyers in 2015.
//  Updated for Swift 4.x / Xcode 9.4 in 2018 by Hamza Bennani.
//
import Cocoa

class TimerView: NSView {
    // Custom view for being able to change the background colour
    var backColor:NSColor? = nil

    override func awakeFromNib() {
        backColor = NSColor.windowBackgroundColor
    }
    
    override func draw(_ dirtyRect: NSRect) {
        backColor?.setFill()
        __NSRectFill(dirtyRect)
        super.draw(dirtyRect)
    }
}
